Okta access certification reviews evaluate and make decisions about a user’s current resource access. Each review is associated with one campaign, whereas a campaign can contain many reviews. Retrieve and reassign reviews with the following reviews APIs.
See Review an access certification campaign for more information on the review process.
- okta.governance.accessCertifications.read
- ACCESS_CERTIFICATIONS_ADMIN
Lists reviews in your org:
- Reviews exist only for campaigns that have been launched with a status of
ACTIVEorCOMPLETED. - If a review hasn't been reviewed (
decisionisUNREVIEWED), then thedecidedproperty is null. - If remediation isn't done on a review, then the
remediationStatusproperty is null.
This operation supports pagination. Use the after and limit query parameters to page through the list, and follow the Link response header to retrieve the next page of results.
Note: Requesting a list of reviews without a filter impacts performance. If your org has a large number of campaigns and reviews, the request might time out or fail. Okta recommends that you list reviews on a per-campaign basis, using the
filterquery parameter.
A filter expression that filters a collection of reviews in the response. The filter expression supports the eq operator and the following properties:
campaignIdprincipalId(corresponds toprincipalProfile.id)reviewerId(corresponds toreviewerProfile.id)decisionresourceIdreviewerTypereviewerLevel(corresponds tocurrentReviewerLevel)entitlementValueId(corresponds toentitlementValue.id)entitlementBundleId(corresponds toentitlementBundle.id)principalProfile.status
Note: Query parameter percent encoding is required. See Percent-encoding.
Specifies the pagination cursor for the next page of results. Treat this as an opaque value obtained through the standard link headers. See pagination.
Specifies a property to sort the results. The following properties are supported:
decideddecisionremediationStatuscreated
Append desc or asc to indicate the sorting direction.
By default, the results are sorted by created in ascending order (created asc).
Note: Query parameter percent encoding is required. See Percent-encoding.
- https://subdomain.okta.comhttps://subdomain.okta.com/governance/api/v1/reviews
curl -i -X GET \
'https://subdomain.okta.com/governance/api/v1/reviews?filter=campaignId%20eq%20%22icitdyhndQ6qstyvR8g5%22&after=00u68w6vzKLultXS97g6&limit=20&orderBy=decided%20desc'